<div>
  <div>
    <h2 id="{{ item.id }}">
      <a href="#{{ item.id }}">{{item.name}}</a>
    </h2>
    {{ item.description }}
  </div>

  <div>
    {% include graphql-preview %} {% include graphql-deprecation %}

    <!-- Calculate and render "Implemented By" section -->
    <!-- TODO instead of calculating in layout, better to calculate in graphql-data? -->
    <h4>{% data ui.products.graphql.reference.implemented_by %}</h4>
    <ul>
      <!-- Loop over objects, then loop over object interfaces, and find a match -->
      {% for object in graphql.schemaForCurrentVersion.objects %} {% for
      interface in object.implements %} {% if interface.name == item.name %}
      <li>
        <code
          ><a href="/{{ currentLanguage }}{{ object.href }}"
            >{{ object.name }}</a
          ></code
        >
      </li>
      {% endif %} {% endfor %} {% endfor %}
    </ul>

    {% if item.fields %}
    <h4>{% data ui.products.graphql.reference.fields %}</h4>
    {% assign fields = item.fields %} {% include graphql-fields %} {% endif %}
  </div>
  <hr />
</div>
